
<div class="form-row">
  <div class="form-group col-lg-4 d-none d-lg-block text-center"><img class="ImagenPrincipal" [Gravatar]="tCliente.Email" alt=""/></div>
  <div class="form-group col-12 col-lg-8">
    <div class="form-row">
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">[{{ tCliente.Codcliente }}] {{ tCliente.Descripcion }}</label>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Documento</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-address-card"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">[ {{ tCliente.Tipodocumento }} ] - {{ tCliente.Documento }}</label>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-4">
    <div class="Tarjeta">
      <div class="Tarjeta--Cuerpo" Borde="success">
        <div class="Tarjeta--Cuerpo-Fila">
          <div class="col-12">
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="success">Crédito</span></div>
          </div>
        </div>
        <div class="Tarjeta--Cuerpo-Fila" Alineacion="center">
          <div class="col-auto">
            <div class="fas fa-calculator fa-2x text-gray-300"></div>
          </div>
          <div class="col ml-4">
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="success">Limite:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Limite_credito | number:'0.1-2' }}</span></div>
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="success">Usado:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Credito_usado | number:'0.1-2' }}</span></div>
            <div class="Tarjeta--Separador"></div>
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="success">Disponible:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Limite_credito - tCliente.Credito_usado | number:'0.1-2' }}</span></div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4">
    <div class="Tarjeta">
      <div class="Tarjeta--Cuerpo" Borde="secondary">
        <div class="Tarjeta--Cuerpo-Fila">
          <div class="col-12">
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="secondary">Facturas a credito</span></div>
          </div>
        </div>
        <div class="Tarjeta--Cuerpo-Fila" Alineacion="center">
          <div class="col-auto">
            <div class="fas fa-calculator fa-2x text-gray-300"></div>
          </div>
          <div class="col ml-4">
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="secondary">Limite:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Limite_facturas_credito }}</span></div>
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="secondary">Activas:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Facturas_credito_activas }}</span></div>
            <div class="Tarjeta--Separador"></div>
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="secondary">Disponible:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Limite_facturas_credito - tCliente.Facturas_credito_activas }}</span></div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4">
    <div class="Tarjeta">
      <div class="Tarjeta--Cuerpo" Borde="danger">
        <div class="Tarjeta--Cuerpo-Fila">
          <div class="col-12">
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="danger">Facturas vencidas</span></div>
          </div>
        </div>
        <div class="Tarjeta--Cuerpo-Fila" Alineacion="center">
          <div class="col-auto">
            <div class="fas fa-calculator fa-2x text-gray-300"></div>
          </div>
          <div class="col ml-4">
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="danger">Limite:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Limite_facturas_vencidas }}</span></div>
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="danger">Vencidas:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Facturas_credito_vencidas }}</span></div>
            <div class="Tarjeta--Separador"></div>
            <div class="Tarjeta--Texto"><span class="Tarjeta--Texto-Titulo" Color="danger">Disponible:</span><span class="Tarjeta--Texto-Contenido">{{ tCliente.Limite_facturas_vencidas - tCliente.Facturas_credito_vencidas }}</span></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ul class="nav nav-tabs" role="tablist">
      <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Identificacion" role="tab" aria-controls="Identificacion" aria-selected="true" id="Identificacion-tab">Indentificación</a></li>
      <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Contacto" role="tab" aria-controls="Contacto" aria-selected="true" id="Contacto-tab">Contacto</a></li>
      <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Documento" role="tab" aria-controls="Documento" aria-selected="true" id="Documento-tab">Documentos</a></li>
      <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Destino" role="tab" aria-controls="Destino" aria-selected="true" id="Destino-tab">Destinos</a></li>
    </ul>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <div class="tab-content" id="mvDatos">
      <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Identificacion-tab" id="Identificacion">
        <div class="form-row border-bottom-secondary mb-2">
          <div class="form-group col-12">
            <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información General</span></h5>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Género</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-transgender"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm"> [ {{ tCliente.Codgenero }} ] - {{ tCliente.Descripcion_genero }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Asesor</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-tie"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">[{{ tCliente.Codasesor }}] {{ tCliente.Descripcion_asesor }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Ocupación</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-business-time"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">[ {{ tCliente.Codocupacion }} ] - {{ tCliente.Descripcion_ocupacion }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Estado civil</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-friends"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">[ {{ tCliente.Codestadocivil }} ] - {{ tCliente.Descripcion_estado_civil }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Condiciòn</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-cog"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">[ {{ tCliente.Codcondicion }} ] - {{ tCliente.Descripcion_condicion }}</label>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Estatus</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-unlock-alt"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tCliente.Estatus }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Fecha nacimiento</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tCliente.Fecha_nacimiento | date: 'dd/MM/yyyy' }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Situaciòn</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-clock"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">[ {{ tCliente.Codsituacion }} ] - {{ tCliente.Descripcion_situacion }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Tipo cliente</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-check"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tCliente.Tipocliente }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Tipo precio</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tCliente.Tipoprecio }}</label>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="tab-pane fade" role="tabpanel" aria-labelledby="Contacto-tab" id="Contacto">
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="form-row border-bottom-secondary mb-2">
              <div class="form-group col-12">
                <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-phone mr-2"></span><span>Telefonos</span></h5>
              </div>
            </div>
            <div class="form-row">
              <div class="form-gropup col-12">
                <ng-container *ngFor="let tTelefonoFor of tCliente.LTelefonos | slice: (tPaginaTelefonos-1) * tTamanoPagTelefonos : (tPaginaTelefonos-1) * tTamanoPagTelefonos + tTamanoPagTelefonos">
                  <div class="TarjetaTelefono">
                    <div class="TarjetaTelefono--ColIcono">
                      <div class="fas fa-phone fa-2x" [ngClass]="{'text-gray-300': tTelefonoFor.Principal === 0, 'text-success': tTelefonoFor.Principal === 1}"></div>
                    </div>
                    <div class="TarjetaTelefono--ColTexto">
                      <div class="TarjetaTelefono--ColTexto-Texto">{{ tTelefonoFor.Telefono }}</div>
                    </div>
                    <div class="TarjetaTelefono--ColBoton">
                      <div class="row">
                        <div class="col-12 col-lg-6"><a class="btn btn-whatsapp btn-sm" href="https://wa.me/{{tTelefonoFor.Telefono}}" target="_blank"><i class="fab fa-whatsapp"></i></a></div>
                        <div class="col-12 col-lg-6"><a class="btn btn-primary btn-sm" href="tel:{{tTelefonoFor.Telefono}}" target="_blank"><i class="fas fa-phone-alt"></i></a></div>
                      </div>
                    </div>
                  </div>
                </ng-container>
              </div>
            </div>
            <div class="form-row pt-2">
              <div class="form-group col-12">
                <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tCliente.LTelefonos.length" [(page)]="tPaginaTelefonos" [pageSize]="tTamanoPagTelefonos" size="sm"></ngb-pagination>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <div class="form-row border-bottom-secondary mb-2">
              <div class="form-group col-12">
                <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-envelope mr-2"></span><span>Correo</span></h5>
              </div>
            </div>
            <div class="form-row">
              <div class="form-gropup col-12">
                <div class="TarjetaCorreo" *ngIf="tCliente.Email !== ''">
                  <div class="TarjetaCorreo--ColIcono">
                    <div class="fas fa-envelope fa-2x text-success"></div>
                  </div>
                  <div class="TarjetaCorreo--ColTexto">
                    <div class="TarjetaCorreo--ColTexto-Texto">{{ tCliente.Email }}</div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="tab-pane fade" role="tabpanel" aria-labelledby="Documento-tab" id="Documento">
        <div class="form-row border-bottom-secondary mb-2">
          <div class="form-group col-12">
            <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-archive mr-2"></span><span>Documentos</span></h5>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-gropup col-12">
                <ng-container *ngFor="let tDocumentoFor of tCliente.LDocumentos | slice: (tPaginaDoc-1) * tTamanoPagDoc : (tPaginaDoc-1) * tTamanoPagDoc + tTamanoPagDoc">
                  <div class="TarjetaDocumentos">
                    <div class="TarjetaDocumentos--ColIcono">
                      <ng-container *ngIf="tDocumentoFor.Url === ''">
                        <div class="fas fa-passport fa-2x" [ngClass]="{'text-gray-300': tDocumentoFor.Principal === 0, 'text-success': tDocumentoFor.Principal === 1}"></div>
                      </ng-container>
                      <ng-container *ngIf="tDocumentoFor.Url !== ''"><img class="ImagenDocumento" [src]="tDocumentoFor.Url"/></ng-container>
                    </div>
                    <div class="TarjetaDocumentos--ColTexto">
                      <div class="TarjetaDocumentos--ColTexto-Texto">[{{ tDocumentoFor.Tipodocumento }}] {{ tDocumentoFor.Documento }}</div>
                    </div>
                  </div>
                </ng-container>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6"><img class="img-fluid text-center" src="assets/Documentos.svg"/></div>
        </div>
        <div class="form-row pt-2">
          <div class="form-group col-12">
            <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tCliente.LDocumentos.length" [(page)]="tPaginaDoc" [pageSize]="tTamanoPagDoc" size="sm"></ngb-pagination>
          </div>
        </div>
      </div>
      <div class="tab-pane fade" role="tabpanel" aria-labelledby="Destino-tab" id="Destino">
        <div class="form-row border-bottom-secondary mb-2">
          <div class="form-group col-12">
            <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-globe mr-2"></span><span>Destinos</span></h5>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <app-fw-mapa [Marcadores]="tLMarcadores"></app-fw-mapa>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>